Skip to content

Bulk write 'Verificationgroup'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
Array [
namestringrequired
confirmation_datestring or null, (date)
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
]
POST
/accounting/bookkeeping/verificationgroup/list/
curl -i -X POST \
  https://dev.api.pigello.io/accounting/bookkeeping/verificationgroup/list/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '[
    {
      "name": "string",
      "confirmation_date": "2019-08-24",
      "custom_id": "string",
      "organization": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      }
    }
  ]'

Responses

Successful bulk create/update

Bodyapplication/json
Array [
grouping_methodinteger, (int32), [ -2147483648 .. 2147483647 ]read-onlyrequired

Additional Validation Information:

Enum Descriptions:

  • 0 - Verification Date

  • 1 - Generation Date

  • 2 - Bookkept Instance

  • 3 - Bookkept Instance Verification Date

  • 4 - Bookkept Instance Generation Date

  • 5 - Bookkept Instance Invoice

  • 6 - Bookkept Instance Type Verification Date

  • 7 - Bookkept Instance Type Generation Date

Enum:01234567
namestringrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

companyobject(Company)read-onlyrequired
grouped_on_vacancy_invoiceobject or null(Vacancyinvoice)read-only
grouped_on_paymentobject or null(Invoicepayment)read-only
created_atstring, (date-time)read-only
confirmation_datestring or null, (date)
grouped_on_invoiceobject or null(Invoice)read-only
custom_idstring or null, <= 128 characters
pending_monitor_approval_amountanyread-only
organizationobject or null(Organization)
tagsanyread-only
grouping_datestring or null, (date)read-only
grouped_on_typeinteger or null, (int32), [ -2147483648 .. 2147483647 ]read-only

Additional Validation Information:

Enum Descriptions:

  • 0 - Invoice

  • 1 - Debt Invoice

  • 2 - Payment

  • 3 - Vacancy Invoice

Enum:0123
grouped_on_debt_invoiceobject or null(Debtinvoice)read-only
customer_columnsanyread-only
]
Response
[ { "grouped_on_vacancy_invoice": {}, "grouping_method": 0, "grouped_on_payment": {}, "name": "string", "created_at": "2019-08-24T14:15:22Z", "confirmation_date": "2019-08-24", "grouped_on_invoice": {}, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "pending_monitor_approval_amount": null, "organization": {}, "tags": null, "company": {}, "grouping_date": "2019-08-24", "grouped_on_type": 0, "grouped_on_debt_invoice": {}, "customer_columns": null } ]